camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Srinivas (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CAMEL-9780) Cannot install camel-hazelcast in Karaf 3.x
Date Thu, 31 Mar 2016 16:11:25 GMT

    [ https://issues.apache.org/jira/browse/CAMEL-9780?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15220103#comment-15220103
] 

Srinivas commented on CAMEL-9780:
---------------------------------

[~cibsen@e-ma.net] Thanks for the response, I have followed your instructions and installed
the bundles. I have tried to start hazelcast bundle received below error. 

Error executing command: Error executing command on bundles:
	Unable to execute command on bundle 259: Unresolved constraint in bundle com.hazelcast [259]:
Unable to resolve 259.0: missing requirement [259.0] osgi.wiring.package; (osgi.wiring.package=com.hazelcast.client.impl.protocol.codec)

Is there anything that I am missing? 

{code}
karaf@root()> feature:info camel-hazelcast
Feature camel-hazelcast 2.17.0
Feature has no configuration
Feature has no configuration files
Feature depends on:
  camel-core 2.17.0
  transaction 0.0.0
Feature contains followed bundles:
  mvn:org.apache.servicemix.specs/org.apache.servicemix.specs.scripting-api-1.0/2.6.0
  mvn:com.eclipsesource.minimal-json/minimal-json/0.9.4
  mvn:com.hazelcast/hazelcast/3.6
  mvn:com.hazelcast/hazelcast-client/3.6
  mvn:org.apache.camel/camel-hazelcast/2.17.0
Feature has no conditionals.
karaf@root()> install mvn:com.hazelcast/hazelcast/3.6.1
Bundle ID: 258
karaf@root()> install mvn:com.hazelcast/hazelcast-client/3.6.1
Bundle ID: 259
karaf@root()> install  mvn:org.apache.servicemix.specs/org.apache.servicemix.specs.scripting-api-1.0/2.6.0
Bundle ID: 111
karaf@root()> install   mvn:com.eclipsesource.minimal-json/minimal-json/0.9.4
Bundle ID: 260
karaf@root()> install   mvn:org.apache.camel/camel-hazelcast/2.17.0
Bundle ID: 261

259 | Installed |  80 | 3.6.1                              | hazelcast
260 | Installed |  80 | 3.6.1                              | hazelcast-client
261 | Installed |  80 | 2.17.0                             | camel-hazelcast

karaf@root()> start 259
Error executing command: Error executing command on bundles:
	Unable to execute command on bundle 259: Unresolved constraint in bundle com.hazelcast [259]:
Unable to resolve 259.0: missing requirement [259.0] osgi.wiring.package; (osgi.wiring.package=com.hazelcast.client.impl.protocol.codec)
{code}





> Cannot install camel-hazelcast in Karaf 3.x
> -------------------------------------------
>
>                 Key: CAMEL-9780
>                 URL: https://issues.apache.org/jira/browse/CAMEL-9780
>             Project: Camel
>          Issue Type: Bug
>          Components: camel-hazelcast, karaf
>    Affects Versions: 2.17.0
>         Environment: Karaf 3.0.6, Java 1.8.0_66, Mac OS X 10.11.3
>            Reporter: Matt Sicker
>            Assignee: Claus Ibsen
>            Priority: Minor
>             Fix For: 2.17.1
>
>
> From a fresh copy of Karaf 3.0.6, I execute the following commands:
> {code}
> feature:repo-add mvn:org.apache.camel.karaf/apache-camel/2.17.0/xml/features
> feature:install camel-hazelcast
> {code}
> This gives me the following error:
> {code}
> Error executing command: Can't install feature camel-hazelcast/0.0.0:
> Could not start bundle mvn:com.hazelcast/hazelcast/3.6 in feature(s) camel-hazelcast-2.17.0,
camel-vertx-2.17.0: Activator start error in bundle com.hazelcast [77].
> {code}
> The stack trace from the log:
> {code}
> java.lang.IllegalStateException: Can't install feature camel-hazelcast/0.0.0:
> Could not start bundle mvn:com.hazelcast/hazelcast/3.6 in feature(s) camel-hazelcast-2.17.0,
camel-vertx-2.17.0: Activator start error in bundle com.hazelcast [77].
> 	at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeature(FeaturesServiceImpl.java:393)
> 	at Proxy40b297a4_bee2_4205_a5cf_e9ad778f5a4c.installFeature(Unknown Source)
> 	at org.apache.karaf.features.command.InstallFeatureCommand.doExecute(InstallFeatureCommand.java:72)
> 	at org.apache.karaf.features.command.FeaturesCommandSupport.doExecute(FeaturesCommandSupport.java:38)
> 	at org.apache.karaf.shell.console.AbstractAction.execute(AbstractAction.java:33)[27:org.apache.karaf.shell.console:3.0.6]
> 	at org.apache.karaf.shell.console.OsgiCommandSupport.execute(OsgiCommandSupport.java:39)[27:org.apache.karaf.shell.console:3.0.6]
> 	at org.apache.karaf.shell.commands.basic.AbstractCommand.execute(AbstractCommand.java:33)[27:org.apache.karaf.shell.console:3.0.6]
> 	at Proxy8567097e_b23c_4923_8fe4_f1ff64ddf37e.execute(Unknown Source)[:]
> 	at Proxy8567097e_b23c_4923_8fe4_f1ff64ddf37e.execute(Unknown Source)[:]
> 	at org.apache.felix.gogo.runtime.CommandProxy.execute(CommandProxy.java:78)[27:org.apache.karaf.shell.console:3.0.6]
> 	at org.apache.felix.gogo.runtime.Closure.executeCmd(Closure.java:480)[27:org.apache.karaf.shell.console:3.0.6]
> 	at org.apache.felix.gogo.runtime.Closure.executeStatement(Closure.java:406)[27:org.apache.karaf.shell.console:3.0.6]
> 	at org.apache.felix.gogo.runtime.Pipe.run(Pipe.java:108)[27:org.apache.karaf.shell.console:3.0.6]
> 	at org.apache.felix.gogo.runtime.Closure.execute(Closure.java:182)[27:org.apache.karaf.shell.console:3.0.6]
> 	at org.apache.felix.gogo.runtime.Closure.execute(Closure.java:119)[27:org.apache.karaf.shell.console:3.0.6]
> 	at org.apache.felix.gogo.runtime.CommandSessionImpl.execute(CommandSessionImpl.java:94)
> 	at org.apache.karaf.shell.console.impl.jline.ConsoleImpl.run(ConsoleImpl.java:210)
> 	at org.apache.karaf.shell.console.impl.jline.LocalConsoleManager$2$1$1.run(LocalConsoleManager.java:109)
> 	at java.security.AccessController.doPrivileged(Native Method)[:1.8.0_66]
> 	at org.apache.karaf.jaas.modules.JaasHelper.doAs(JaasHelper.java:57)[28:org.apache.karaf.jaas.modules:3.0.6]
> 	at org.apache.karaf.shell.console.impl.jline.LocalConsoleManager$2$1.run(LocalConsoleManager.java:102)[27:org.apache.karaf.shell.console:3.0.6]
> {code}
> I can't tell if this is a problem in Camel or Hazelcast. I was already using camel-hazelcast
in Camel 2.16.2 and it worked fine during installation.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message